com.smartgwt.client.widgets.calendar

## Class CalendarEvent

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Record
        - - com.smartgwt.client.widgets.calendar.CalendarEvent

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class CalendarEvent
      extends Record

  A type of `Record` which represents an event to occur at a specific time, displayed within the calendar.
  See Also:
    `Data overview and related methods`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarEvent()`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit, java.lang.String eventWindowStyle)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit, java.lang.String eventWindowStyle, java.lang.String lane)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit, java.lang.String eventWindowStyle, java.lang.String lane, java.lang.String sublane)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, java.lang.String lane)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, int duration, TimeUnit durationUnit)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, int duration, TimeUnit durationUnit, java.lang.String styleName)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, int duration, TimeUnit durationUnit, java.lang.String styleName, java.lang.String lane)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, int duration, TimeUnit durationUnit, java.lang.String styleName, java.lang.String lane, java.lang.String sublane)`
    `CalendarEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundColor()` An optional background color for the body portion of `canvases` representing this event in the various `calendar views`.
    `java.lang.String` | `getBorderColor()` An optional border color for the body portion of `canvases` representing this event in the various `calendar views`.
    `java.lang.Boolean` | `getCanDrag()` Optional boolean value controlling whether this event can be dragged with the mouse.
    `java.lang.Boolean` | `getCanEdit()` Optional boolean value controlling the editability of this particular calendarEvent.
    `java.lang.Boolean` | `getCanEditLane()` Boolean indicating whether this event can be moved between lanes.
    `java.lang.Boolean` | `getCanEditSublane()` Boolean indicating whether this event can be moved between lanes.
    `java.lang.Boolean` | `getCanResize()` Optional boolean value controlling whether this event can be drag-resized with the mouse.
    `java.lang.String` | `getDescription()` String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.descriptionField`
    `java.lang.Integer` | `getDuration()` The duration of this event.
    `TimeUnit` | `getDurationUnit()` When a `duration` is set for this event, this is the unit of that duration.
    `java.util.Date` | `getEndDate()` Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.endDateField`
    `java.lang.Integer` | `getEventId()`
    `java.lang.String` | `getEventWindowStyle()` Deprecated. in favor of `styleName`
    `java.lang.String` | `getHeaderBackgroundColor()` An optional background color for the header portion of `canvases` representing this event in the various `calendar views`.
    `java.lang.String` | `getHeaderBorderColor()` An optional border color for the header portion of `canvases` representing this event in the various `calendar views`.
    `java.lang.String` | `getHeaderTextColor()` An optional text color for the header portion of `canvases` representing this event in the various `calendar views`.
    `java.lang.String` | `getLane()` When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `lane` this `CalendarEvent` should sit in.
    `java.lang.String` | `getName()` String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.nameField`
    `static CalendarEvent` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.util.Date` | `getStartDate()` Date object which represents the start date of a `CalendarEvent`.
    `java.lang.String` | `getStyleName()` CSS style series to use for `canvas instances` that represent this event in the various `calendar views`.
    `java.lang.String` | `getSublane()` When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `sublane` this `CalendarEvent` should sit in.
    `java.lang.String` | `getTextColor()` An optional text color for the body portion of `canvases` representing this event in the various `calendar views`.
    `CalendarEvent` | `setBackgroundColor(java.lang.String backgroundColor)` An optional background color for the body portion of `canvases` representing this event in the various `calendar views`.
    `CalendarEvent` | `setBorderColor(java.lang.String borderColor)` An optional border color for the body portion of `canvases` representing this event in the various `calendar views`.
    `CalendarEvent` | `setCanDrag(java.lang.Boolean canDrag)` Optional boolean value controlling whether this event can be dragged with the mouse.
    `void` | `setCanEdit(java.lang.Boolean canEdit)` Optional boolean value controlling the editability of this particular calendarEvent.
    `CalendarEvent` | `setCanEditLane(java.lang.Boolean canEditLane)` Boolean indicating whether this event can be moved between lanes.
    `CalendarEvent` | `setCanEditSublane(java.lang.Boolean canEditSublane)` Boolean indicating whether this event can be moved between lanes.
    `CalendarEvent` | `setCanResize(java.lang.Boolean canResize)` Optional boolean value controlling whether this event can be drag-resized with the mouse.
    `CalendarEvent` | `setDescription(java.lang.String description)` String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.descriptionField`
    `CalendarEvent` | `setDuration(java.lang.Integer duration)` The duration of this event.
    `CalendarEvent` | `setDurationUnit(TimeUnit durationUnit)` When a `duration` is set for this event, this is the unit of that duration.
    `CalendarEvent` | `setEndDate(java.util.Date endDate)` Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.endDateField`
    `void` | `setEventId(java.lang.Integer eventId)`
    `CalendarEvent` | `setEventWindowStyle(java.lang.String eventWindowStyle)` Deprecated. in favor of `styleName`
    `CalendarEvent` | `setHeaderBackgroundColor(java.lang.String headerBackgroundColor)` An optional background color for the header portion of `canvases` representing this event in the various `calendar views`.
    `CalendarEvent` | `setHeaderBorderColor(java.lang.String headerBorderColor)` An optional border color for the header portion of `canvases` representing this event in the various `calendar views`.
    `CalendarEvent` | `setHeaderTextColor(java.lang.String headerTextColor)` An optional text color for the header portion of `canvases` representing this event in the various `calendar views`.
    `CalendarEvent` | `setLane(java.lang.String lane)` When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `lane` this `CalendarEvent` should sit in.
    `CalendarEvent` | `setName(java.lang.String name)` String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.nameField`
    `CalendarEvent` | `setStartDate(java.util.Date startDate)` Date object which represents the start date of a `CalendarEvent`.
    `CalendarEvent` | `setStyleName(java.lang.String styleName)` CSS style series to use for `canvas instances` that represent this event in the various `calendar views`.
    `CalendarEvent` | `setSublane(java.lang.String sublane)` When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `sublane` this `CalendarEvent` should sit in.
    `CalendarEvent` | `setTextColor(java.lang.String textColor)` An optional text color for the body portion of `canvases` representing this event in the various `calendar views`.

    - ### Methods inherited from class com.smartgwt.client.data.Record

      `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, getPaletteDefaults, isARecord, toMap`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEvent

          public CalendarEvent()

    - #### CalendarEvent

          public CalendarEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               java.util.Date endDate)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               java.util.Date endDate,
                               boolean canEdit)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               java.util.Date endDate,
                               boolean canEdit,
                               java.lang.String eventWindowStyle)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               java.util.Date endDate,
                               java.lang.String lane)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               java.util.Date endDate,
                               boolean canEdit,
                               java.lang.String eventWindowStyle,
                               java.lang.String lane)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               java.util.Date endDate,
                               boolean canEdit,
                               java.lang.String eventWindowStyle,
                               java.lang.String lane,
                               java.lang.String sublane)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               int duration,
                               TimeUnit durationUnit)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               int duration,
                               TimeUnit durationUnit,
                               java.lang.String styleName)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               int duration,
                               TimeUnit durationUnit,
                               java.lang.String styleName,
                               java.lang.String lane)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                               java.lang.String name,
                               java.lang.String description,
                               java.util.Date startDate,
                               int duration,
                               TimeUnit durationUnit,
                               java.lang.String styleName,
                               java.lang.String lane,
                               java.lang.String sublane)

  - ### Method Detail

    - #### getOrCreateRef

          public static CalendarEvent getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBackgroundColor

          public CalendarEvent setBackgroundColor(java.lang.String backgroundColor)

      An optional background color for the body portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Parameters:
        `backgroundColor` - New backgroundColor value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getBackgroundColor

          public java.lang.String getBackgroundColor()

      An optional background color for the body portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Returns:
        Current backgroundColor value. Default value is null

    - #### setBorderColor

          public CalendarEvent setBorderColor(java.lang.String borderColor)

      An optional border color for the body portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Parameters:
        `borderColor` - New borderColor value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getBorderColor

          public java.lang.String getBorderColor()

      An optional border color for the body portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Returns:
        Current borderColor value. Default value is null

    - #### setCanDrag

          public CalendarEvent setCanDrag(java.lang.Boolean canDrag)

      Optional boolean value controlling whether this event can be dragged with the mouse. The name of this field within the CalendarEvent can be changed via `Calendar.canDragEventField`. Only has an effect when `editing` is enabled.

      You can separately disallow drag-resize via `canResize`.

      Parameters:
        `canDrag` - New canDrag value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getCanDrag

          public java.lang.Boolean getCanDrag()

      Optional boolean value controlling whether this event can be dragged with the mouse. The name of this field within the CalendarEvent can be changed via `Calendar.canDragEventField`. Only has an effect when `editing` is enabled.

      You can separately disallow drag-resize via `canResize`.

      Returns:
        Current canDrag value. Default value is null

    - #### setCanEditLane

          public CalendarEvent setCanEditLane(java.lang.Boolean canEditLane)

      Boolean indicating whether this event can be moved between lanes. Can also be set at the `calendar level`.

      The name of this field within the CalendarEvent can be changed via `Calendar.canEditLaneField`.

      Parameters:
        `canEditLane` - New canEditLane value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getCanEditLane

          public java.lang.Boolean getCanEditLane()

      Boolean indicating whether this event can be moved between lanes. Can also be set at the `calendar level`.

      The name of this field within the CalendarEvent can be changed via `Calendar.canEditLaneField`.

      Returns:
        Current canEditLane value. Default value is null

    - #### setCanEditSublane

          public CalendarEvent setCanEditSublane(java.lang.Boolean canEditSublane)

      Boolean indicating whether this event can be moved between lanes. Can also be set at the `calendar level`.

      The name of this field within the CalendarEvent can be changed via `Calendar.canEditSublaneField`.

      Parameters:
        `canEditSublane` - New canEditSublane value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getCanEditSublane

          public java.lang.Boolean getCanEditSublane()

      Boolean indicating whether this event can be moved between lanes. Can also be set at the `calendar level`.

      The name of this field within the CalendarEvent can be changed via `Calendar.canEditSublaneField`.

      Returns:
        Current canEditSublane value. Default value is null

    - #### setCanResize

          public CalendarEvent setCanResize(java.lang.Boolean canResize)

      Optional boolean value controlling whether this event can be drag-resized with the mouse. The name of this field within the CalendarEvent can be changed via `Calendar.canResizeEventField`.

      Only has an effect if `editing` and `dragging` are also enabled.

      Parameters:
        `canResize` - New canResize value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getCanResize

          public java.lang.Boolean getCanResize()

      Optional boolean value controlling whether this event can be drag-resized with the mouse. The name of this field within the CalendarEvent can be changed via `Calendar.canResizeEventField`.

      Only has an effect if `editing` and `dragging` are also enabled.

      Returns:
        Current canResize value. Default value is null

    - #### setDescription

          public CalendarEvent setDescription(java.lang.String description)

      String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.descriptionField`
      Parameters:
        `description` - New description value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getDescription

          public java.lang.String getDescription()

      String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.descriptionField`
      Returns:
        Current description value. Default value is null

    - #### setDuration

          public CalendarEvent setDuration(java.lang.Integer duration)

      The duration of this event. May be specified instead of an `end date` and implies that this is a "Period" type event. If set to zero, implies an "Instant" type event - an event with a start date but no length.
      Parameters:
        `duration` - New duration value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getDuration

          public java.lang.Integer getDuration()

      The duration of this event. May be specified instead of an `end date` and implies that this is a "Period" type event. If set to zero, implies an "Instant" type event - an event with a start date but no length.
      Returns:
        Current duration value. Default value is null

    - #### setDurationUnit

          public CalendarEvent setDurationUnit(TimeUnit durationUnit)

      When a `duration` is set for this event, this is the unit of that duration. The default is minutes.
      Parameters:
        `durationUnit` - New durationUnit value. Default value is "minute"
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getDurationUnit

          public TimeUnit getDurationUnit()

      When a `duration` is set for this event, this is the unit of that duration. The default is minutes.
      Returns:
        Current durationUnit value. Default value is "minute"

    - #### setEndDate

          public CalendarEvent setEndDate(java.util.Date endDate)

      Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.endDateField`
      Parameters:
        `endDate` - New endDate value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getEndDate

          public java.util.Date getEndDate()

      Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.endDateField`
      Returns:
        Current endDate value. Default value is null

    - #### setEventWindowStyle

          public CalendarEvent setEventWindowStyle(java.lang.String eventWindowStyle)

      Deprecated. in favor of `styleName`
      CSS style series to use for the draggable event window that represents this event. If specified, overrides `Calendar.eventWindowStyle` for this specific event.

      The name of this field within the CalendarEvent can be changed via `Calendar.eventWindowStyleField`

      Parameters:
        `eventWindowStyle` - New eventWindowStyle value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls
      See Also:
        `CSSStyleName`

    - #### getEventWindowStyle

          public java.lang.String getEventWindowStyle()

      Deprecated. in favor of `styleName`
      CSS style series to use for the draggable event window that represents this event. If specified, overrides `Calendar.eventWindowStyle` for this specific event.

      The name of this field within the CalendarEvent can be changed via `Calendar.eventWindowStyleField`

      Returns:
        Current eventWindowStyle value. Default value is null
      See Also:
        `CSSStyleName`

    - #### setHeaderBackgroundColor

          public CalendarEvent setHeaderBackgroundColor(java.lang.String headerBackgroundColor)

      An optional background color for the header portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Parameters:
        `headerBackgroundColor` - New headerBackgroundColor value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getHeaderBackgroundColor

          public java.lang.String getHeaderBackgroundColor()

      An optional background color for the header portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Returns:
        Current headerBackgroundColor value. Default value is null

    - #### setHeaderBorderColor

          public CalendarEvent setHeaderBorderColor(java.lang.String headerBorderColor)

      An optional border color for the header portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Parameters:
        `headerBorderColor` - New headerBorderColor value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getHeaderBorderColor

          public java.lang.String getHeaderBorderColor()

      An optional border color for the header portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Returns:
        Current headerBorderColor value. Default value is null

    - #### setHeaderTextColor

          public CalendarEvent setHeaderTextColor(java.lang.String headerTextColor)

      An optional text color for the header portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Parameters:
        `headerTextColor` - New headerTextColor value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getHeaderTextColor

          public java.lang.String getHeaderTextColor()

      An optional text color for the header portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Returns:
        Current headerTextColor value. Default value is null

    - #### setLane

          public CalendarEvent setLane(java.lang.String lane)

      When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `lane` this `CalendarEvent` should sit in. The name of this field within the CalendarEvent can be changed via `Calendar.laneNameField`.
      Parameters:
        `lane` - New lane value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getLane

          public java.lang.String getLane()

      When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `lane` this `CalendarEvent` should sit in. The name of this field within the CalendarEvent can be changed via `Calendar.laneNameField`.
      Returns:
        Current lane value. Default value is null

    - #### setName

          public CalendarEvent setName(java.lang.String name)

      String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.nameField`
      Parameters:
        `name` - New name value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getName

          public java.lang.String getName()

      String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `Calendar.nameField`
      Returns:
        Current name value. Default value is null

    - #### setStartDate

          public CalendarEvent setStartDate(java.util.Date startDate)

      Date object which represents the start date of a `CalendarEvent`. The name of this field within the CalendarEvent can be changed via `Calendar.startDateField`
      Parameters:
        `startDate` - New startDate value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getStartDate

          public java.util.Date getStartDate()

      Date object which represents the start date of a `CalendarEvent`. The name of this field within the CalendarEvent can be changed via `Calendar.startDateField`
      Returns:
        Current startDate value. Default value is null

    - #### setStyleName

          public CalendarEvent setStyleName(java.lang.String styleName)

      CSS style series to use for `canvas instances` that represent this event in the various `calendar views`. The basic series should include three classes - the base style and others suffixed "Header" and "Body".

      If not specified on the event, the style can be specified on the `calendar`, the `view` or individually on each `lane` or `sublane`.

      The name of this field within the CalendarEvent can be changed via `Calendar.eventStyleNameField`

      Parameters:
        `styleName` - New styleName value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls
      See Also:
        `CSSStyleName`

    - #### getStyleName

          public java.lang.String getStyleName()

      CSS style series to use for `canvas instances` that represent this event in the various `calendar views`. The basic series should include three classes - the base style and others suffixed "Header" and "Body".

      If not specified on the event, the style can be specified on the `calendar`, the `view` or individually on each `lane` or `sublane`.

      The name of this field within the CalendarEvent can be changed via `Calendar.eventStyleNameField`

      Returns:
        Current styleName value. Default value is null
      See Also:
        `CSSStyleName`

    - #### setSublane

          public CalendarEvent setSublane(java.lang.String sublane)

      When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `sublane` this `CalendarEvent` should sit in. The name of this field within the CalendarEvent can be changed via `Calendar.sublaneNameField`.
      Parameters:
        `sublane` - New sublane value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getSublane

          public java.lang.String getSublane()

      When in Timeline mode, or when `Calendar.showDayLanes` is true, a string that represents the name of the `sublane` this `CalendarEvent` should sit in. The name of this field within the CalendarEvent can be changed via `Calendar.sublaneNameField`.
      Returns:
        Current sublane value. Default value is null

    - #### setTextColor

          public CalendarEvent setTextColor(java.lang.String textColor)

      An optional text color for the body portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Parameters:
        `textColor` - New textColor value. Default value is null
      Returns:
        `CalendarEvent` instance, for chaining setter calls

    - #### getTextColor

          public java.lang.String getTextColor()

      An optional text color for the body portion of `canvases` representing this event in the various `calendar views`.

      Note that the recommended approach for styling events is to set a `custom CSS style`, which allows more complete customization of both header and body portions.

      Returns:
        Current textColor value. Default value is null

    - #### setEventId

          public void setEventId(java.lang.Integer eventId)

    - #### getEventId

          public java.lang.Integer getEventId()

    - #### setCanEdit

          public void setCanEdit(java.lang.Boolean canEdit)

      Optional boolean value controlling the editability of this particular calendarEvent. The name of this field within the CalendarEvent can be changed via `canEditField`.
      Parameters:
        `canEdit` - canEdit Default value is null

    - #### getCanEdit

          public java.lang.Boolean getCanEdit()

      Optional boolean value controlling the editability of this particular calendarEvent. The name of this field within the CalendarEvent can be changed via `canEditField`.
      Returns:
        String